.chat {
    right: 0;
    bottom: 0;
    width: 100%;
    height: calc(100% - 30px);
    z-index: 990;
    overflow: hidden;
    position: fixed;
    background: white;
    box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, 0.07);
    display: flex;
    flex-direction: column;

    &__header {
        height: rem(44);
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__close {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(44);
        height: rem(44);
        cursor: pointer;
        stroke: #0A0B18;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: var(--transition-time);

        i {
            flex-shrink: 0;
            display: block;
            width: rem(24);
            height: rem(24);
        }

        &:hover {
            stroke: var(--blue);
            transition: var(--transition-time);
        }
    }

    &__body {
        flex-grow: 1;
        position: relative;
    }

    &__footer {
        box-shadow: inset 0px 1px 0px 0px rgb(229, 229, 234);
        display: flex;
    }

    &__smiles {
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        width: rem(42);
        height: rem(48);
        fill: var(--rose);
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-shrink: 0;

        i {
            flex-shrink: 0;
            height: rem(16);
            display: inline-block;
        }
    }

    &__attach {
        stroke: #6B6B7B;
        font-size: 0;
        line-height: 0;
        height: rem(48);
        width: rem(32);
        cursor: pointer;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;

        input {
            top: 0;
            left: 0;
            width: 0;
            height: 0;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            visibility: hidden;
        }

        i {
            flex-shrink: 0;
            height: rem(20);
            display: inline-block;
        }
    }

    &__send {
        padding: 0;
        font-size: 0;
        line-height: 0;
        fill: #6B6B7B;
        border: none;
        outline: none;
        width: rem(48);
        height: rem(48);
        cursor: pointer;
        background: transparent;
        display: flex;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: rem(20);
            display: inline-block;
        }
    }

    &__field {
        flex-grow: 1;
        width: 100%;
        display: block;
        font-weight: 400;
        position: relative;
        background: transparent;
        $input-selector: "input[type=text], input[type=email], input[type=password], input[type=number], textarea";

        #{$input-selector} {
            margin: 0;
            width: 100%;
            height: rem(48);
            border: none;
            outline: none;
            color: #666668;
            box-shadow: none;
            font-weight: 400;
            font-size: rem(14);
            line-height: rem(20);
            padding: rem(14) 0;
            background: transparent;
            display: inline-block;
            vertical-align: middle;
            @include placeholder(#666668);

            &::-ms-clear {
                display: none;
                width: 0;
                height: 0;
            }

            &:focus,
            &:active {
                outline: none;
                @include placeholder(transparent);
            }

            &.error {
                border-color: red !important;
            }
        }
    }

    &__scroll {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        overflow-x: hidden;
        overflow-y: auto;
        position: absolute;
        scrollbar-width: thin;
        scrollbar-color: #F2F2F7 #f1f1f1;

        &::-webkit-scrollbar {
            height: 6px;
            background-color: #f1f1f1;
        }

        &::-webkit-scrollbar-thumb {
            cursor: pointer;
            background-color: #F2F2F7;
        }
    }

    &__wrap {
        padding: rem(20) rem(30);
    }

    &__list {
        display: flex;
        flex-direction: column;
        row-gap: rem(16);
    }

    &__item {
        display: flex;
        align-items: center;

        &--right {
            justify-content: flex-end;
        }
    }

    &__message {
        max-width: 80%;
        color: #2C2C2E;
        font-size: rem(14);
        line-height: rem(20);
        position: relative;
        border-radius: rem(6);
        padding: rem(4) rem(8);

        &:before {
            top: 0;
            content: '';
            width: 10px;
            height: 12px;
            position: absolute;
            background-position: 0 0;
            background-repeat: no-repeat;
            background-size: cover;
        }

        &--gray {
            background: #F2F2F7;
            border-radius: 0 rem(6) rem(6) rem(6);

            &:before {
                left: -9px;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTAnIGhlaWdodD0nMTInIHZpZXdCb3g9JzAgMCAxMCAxMicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNOC45OTk2NiAwQzguOTk5NjYgMCAzLjI2MTcyIDAgMS43OTk2NyAwQzAuMzM3NjE0IDAgLTAuMDAwMzA0MjIyIDEuNSAxLjM0OTY5IDNDMi42OTk2OSA0LjUgOC41MDAzIDkuNSA4Ljk5OTY2IDExQzkuNDk5MDIgMTIuNSA4Ljk5OTY2IDAgOC45OTk2NiAwWicgZmlsbD0nI0YyRjJGNycvPjwvc3ZnPg==");
            }
        }

        &--rose {
            border-radius: rem(6) 0 rem(6) rem(6);
            background: rgba(252, 156, 214, 0.4);

            &:before {
                right: -9px;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTAnIGhlaWdodD0nMTInIHZpZXdCb3g9JzAgMCAxMCAxMicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMS4wMDAzNCAwQzEuMDAwMzQgMCA2LjczODI4IDAgOC4yMDAzMyAwQzkuNjYyMzkgMCAxMC4wMDAzIDEuNSA4LjY1MDMxIDNDNy4zMDAzMSA0LjUgMS40OTk3IDkuNSAxLjAwMDM0IDExQzAuNTAwOTc3IDEyLjUgMS4wMDAzNCAwIDEuMDAwMzQgMFonIGZpbGw9JyNGQzlDRDYnIGZpbGwtb3BhY2l0eT0nMC40Jy8+PC9zdmc+");
            }
        }
    }

    &__name {
        font-weight: 700;
        margin-bottom: rem(4);
    }

    &__text {
        padding-right: rem(56);
    }

    &__time {
        color: #666668;
        text-align: right;
        font-size: rem(12);
        line-height: rem(14);
    }

    &__media {
        padding-bottom: rem(4);
    }

    &__image {
        display: block;
        width: 156px;
        overflow: hidden;
    }

    @include media-breakpoint-up(md) {
        right: rem(24);
        bottom: rem(22);
        width: rem(438);
        height: rem(517);
        max-height: 90vh;
        border-radius: rem(12);
    }
}
